=== debian/changelog ===
mailfront (2.12-3) unstable; urgency=medium

  * QA upload.
  - debian/rules: Do not try to save the original conf-* files, as they
    are created from scratch every time the package is built.
  - debian/clean: Remove those files here instead.
  * The above two changes will make the source package to be buildable
    after a successful binary build. Closes: #1047276.
  * debian/rules: Actually run the tests in dh_auto_test.
  [ Daniel Lenharo de Souza ]
  * Add fields Vcs-Git and Vcs-Browser.

 -- Santiago Vila <sanvila@debian.org>  Mon, 08 Jul 2024 19:35:00 +0200

mailfront (2.12-2) unstable; urgency=medium

  * QA upload.
  * Switch to "dh" and debhelper compat 13. (Closes: #1011036)
  * debian/control: Set Rules-Requires-Root to "no".
  * debian/control: Update to Standards-Version 4.6.1.

 -- Vagrant Cascadian <vagrant@reproducible-builds.org>  Sun, 15 May 2022 15:26:58 -0700

mailfront (2.12-1) unstable; urgency=medium

  * QA upload.
  * Set maintainer to the QA group.
  * Fix FTBFS for misuse of 'accept' (Closes: #895669)
  * Make the source packable by modern dpkg.
  * Switch to source format 3.0 (quilt).
  * Import upstream's GPG key.

 -- Adam Borowski <kilobyte@angband.pl>  Mon, 04 Feb 2019 01:39:42 +0100

mailfront (2.12-0.1) unstable; urgency=medium

  * Non-maintainer upload
  * Drop patches, upstream
  * Disable rbl tests, they seems to be flaky and requiring
    an internet connection (moreover, the rbl plugin is a new one).
  * New upstream release, fixing the bglibs incompatibility (Closes: #831596)
  * Change build-dependency to pick up unversioned libbg-dev package
  * Add lua dependency and plugin

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 12 Dec 2017 17:06:23 +0100

mailfront (1.16-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Apply patches from myself and Valerie Young to make build reproducible.
    (Closes: #777431, #847020)

 -- Chris Lamb <lamby@debian.org>  Thu, 28 Sep 2017 09:38:21 +0100

mailfront (1.16-1) unstable; urgency=low

  * new upstream version.

 -- Gerrit Pape <pape@smarden.org>  Thu, 15 Apr 2010 01:32:03 +0000

mailfront (1.11-1) unstable; urgency=low

  * debian/control: fix spelling in long description (thx Simon Waters,
    closes: #390053).
  * new upstream version.
  * debian/rules: adapt.
  * debian/diff/no-sfqmail-tests.diff,debian/diff/tests-find-sort.diff:
    remove; obsolete.
  * debian/implicit: update to revision a09db2e.
  * debian/README.Debian.diet: remove for now.
  * debian/mailfront.docs: remove debian/README.Debian.diet.
  * debian/control: Build-Depends: libbg1-dev, libcvm1-dev;
    Standards-Version: 3.7.3.0.
  * debian/diff/0001-Makefile-avoid-rpath.diff: new; Makefile: avoid
    rpath.

 -- Gerrit Pape <pape@smarden.org>  Sat, 03 May 2008 07:09:38 +0000

mailfront (0.98-2) unstable; urgency=low

  * debian/diff/tests-find-sort.diff: new: sort output from find (closes:
    #361557).

 -- Gerrit Pape <pape@smarden.org>  Sun, 16 Apr 2006 13:31:57 +0000

mailfront (0.98-1) unstable; urgency=low

  * new upstream version.
  * debian/diff/no-sfqmail-tests.diff: adapt.

 -- Gerrit Pape <pape@smarden.org>  Wed,  2 Nov 2005 20:54:07 +0000

mailfront (0.97-1) unstable; urgency=low

  * new upstream version.
  * debian/control: Standards-Version: 3.6.2.0.
  * debian/rules: cleanup.

 -- Gerrit Pape <pape@smarden.org>  Wed,  5 Oct 2005 11:33:18 +0000

mailfront (0.96-1) unstable; urgency=low

  * new upstream version.
  * debian/diff/static-vs-global.diff: remove; fixed upstream.
  * debian/mailfront.NEWS.Debian: new; note about pattern matching change.

 -- Gerrit Pape <pape@smarden.org>  Sun, 17 Jul 2005 19:58:10 +0000

mailfront (0.95-1) unstable; urgency=low

  * new upstream version.
  * debian/control: Build-Depends: bglibs-dev (>> 1.022-0); Build-Depends:
    cvm (>> 0.71-0), freecdb for selftests.
  * debian/diff/no-sfqmail-tests.diff: new; skip smtpfront-auth-login and
    smtpfront-auth-plain selftests.
  * debian/rules: install: don't install target directories, make install
    now does; use $install_prefix with new bg-installer; build: run
    selftests.

 -- Gerrit Pape <pape@smarden.org>  Fri, 17 Jun 2005 16:27:24 +0000

mailfront (0.94-1) unstable; urgency=low

  * new upstream version.
  * debian/control: Build-Depends: bglibs-dev (>> 1.020-0), cvm-dev
    (>> 0.71-0).
  * debian/diff/diet-pop3front.diff: remove; obsolete (with dietlibc 0.29).
  * debian/rules: use upstream install target.

 -- Gerrit Pape <pape@smarden.org>  Mon,  6 Jun 2005 18:39:02 +0000

mailfront (0.93-1) unstable; urgency=low

  * new upstream version.
  * debian/control: remove version restrictions from Build-Depends:
    bglibs-dev, cvm-dev.
  * debian/copyright: 2005.
  * debian/diff/svn-20041206.diff: remove; obsolete.
  * debian/diff/diet-pop3front.diff: new; fix linker failure with diet libc
    with programs that have main() in pop3-mainloop.o, included in pop3.a
    archive.

 -- Gerrit Pape <pape@smarden.org>  Sun, 24 Apr 2005 16:57:49 +0000

mailfront (0.92-3) unstable; urgency=low

  * debian/diff/static-vs-global.diff: new; rename static variable which
    also is defined globally (closes: #287632).
  * debian/README.Debian.diet: typo.
  * debian/control: start short description lowercase.
  * debian/rules: cleanup; handle patches and configure stage more
    gracefully.
  * debian/etc/smtpfront-qmail/log/run: let svlogd add human-readable
    timestamps.

 -- Gerrit Pape <pape@smarden.org>  Thu, 27 Jan 2005 09:00:57 +0000

mailfront (0.92-2) unstable; urgency=low

  * debian/diff/svn-20041206.diff: new; bug fixes from upstream svn:
    - Fixed bug in pattern matching where the pattern was longer than the
      line that would other match.
    - Fixed bug in parsing the databytes column in mail rules.
    - Fixed omission of not resetting maxdatabytes, which could be set by
      a rule, after checking for sender rules.
    - Fixed bug in handling multiple sender or recipient specific rules.

