=== debian/control ===
Source: mailfront
Section: mail
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper-compat (= 13), libbg-dev, liblua5.1-0-dev, libcvm1-dev, cvm, freecdb
Standards-Version: 4.6.1
Vcs-Git: https://salsa.debian.org/debian/mailfront.git
Vcs-Browser: https://salsa.debian.org/debian/mailfront
Rules-Requires-Root: no

Package: mailfront
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: runit, ipsvd
Description: mail server network protocol front-ends
 mailfront is a set of customizable network front-ends for mail servers.
 It contains complete SMTP, QMQP, QMTP, and POP3 front-ends as well as an
 authentication module for IMAP.  The mail delivery front-ends also contain
 internal address filtering features.
 .
 Two SMTP back-ends are provided.  One delivers mail to qmail-queue,
 mimicking most of the behavior of qmail-smtpd, with the addition of
 support for SMTP AUTH.  The other rejects all SMTP commands if $SMTPREJECT
 is set, and execs its command line otherwise (in order to run the above
 program).
