=== debian/rules ===
#!/usr/bin/make -f

DIR =$(shell pwd)/debian/mailfront

%:
	dh $@

override_dh_auto_configure:
	echo '/usr/sbin' >conf-bin
	echo '/usr/include/bglibs' >conf-bgincs
	echo '/usr/lib' >conf-bglibs
	echo '$(CC) $(CFLAGS)' >conf-cc
	echo '$(CC) $(CFLAGS) -fPIC -shared' >conf-ccso
	echo '$(CC)' >conf-ld
	echo '/usr/include' >conf-include
	echo '/usr/lib/mailfront' >conf-modules
	echo '/var/lib/qmail' >conf-qmail

override_dh_auto_build:
	dh_auto_build
	dh_auto_build -- lua

override_dh_auto_test:
	sh tests.sh

override_dh_auto_install:
	dh_auto_install -- install_prefix='$(DIR)'
	# service directories
	install -d -m0755 \
	  '$(DIR)'/usr/share/doc/mailfront/etc/smtpfront-qmail/log
	install -m0644 debian/etc/smtpfront-qmail/run \
	  '$(DIR)'/usr/share/doc/mailfront/etc/smtpfront-qmail/run
	install -m0644 debian/etc/smtpfront-qmail/log/run \
	  '$(DIR)'/usr/share/doc/mailfront/etc/smtpfront-qmail/log/run
	install -d -m0755 \
	  '$(DIR)'/usr/share/doc/mailfront/etc/smtpfront-qmail/peers
	install -m0644 debian/etc/smtpfront-qmail/peers/127 \
	  '$(DIR)'/usr/share/doc/mailfront/etc/smtpfront-qmail/peers/127

override_dh_fixperms:
	dh_fixperms
	chmod +x debian/mailfront/usr/lib/mailfront/*.so

override_dh_installman:
	dh_installman debian/man/*.8
