## mailfront 2.12-0.1

=== Makefile ===
--- 
+++ 
@@ -133,7 +133,7 @@
 	./makeso plugin-cvm-validate.c  -lcvm-v2client -lbg 
 
 plugin-lua.so: makeso plugin-lua.c mailfront.h responses.h constants.h
-	./makeso plugin-lua.c  -lbg -llua 
+	./makeso plugin-lua.c  -lbg -llua5.1 -I/usr/include/lua5.1
 
 plugin-mailrules.so: makeso plugin-mailrules.c mailfront.h responses.h constants.h
 	./makeso plugin-mailrules.c  -lbg
