=== debian/control ===
--- 
+++ 
@@ -1,16 +1,13 @@
 Source: mailfront
 Section: mail
-Priority: optional
-Maintainer: Debian QA Group <packages@qa.debian.org>
-Build-Depends: debhelper-compat (= 13), libbg-dev, liblua5.1-0-dev, libcvm1-dev, cvm, freecdb
-Standards-Version: 4.6.1
-Vcs-Git: https://salsa.debian.org/debian/mailfront.git
-Vcs-Browser: https://salsa.debian.org/debian/mailfront
-Rules-Requires-Root: no
+Priority: extra
+Maintainer: Gerrit Pape <pape@smarden.org>
+Build-Depends: libbg-dev, liblua5.1-0-dev, libcvm1-dev, cvm, freecdb
+Standards-Version: 3.7.3.0
 
 Package: mailfront
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${shlibs:Depends}
 Recommends: runit, ipsvd
 Description: mail server network protocol front-ends
  mailfront is a set of customizable network front-ends for mail servers.
